Subject: Re: [PATCH] Cleanup of unused symcache variable inside diff-lib.c

From: Kjetil Barvik <[email-masked]>
Date: Sun, 11 Jan 2009 20:32:18 +0100

Johannes Schindelin <[email-masked]> writes:

> Hi,
>
> On Sun, 11 Jan 2009, Kjetil Barvik wrote:
>
>> ---
>> :100644 100644 ae96c64... e6d1d2b... M	diff-lib.c
>
> I wonder what that line is all about, since ...
>
>>  diff-lib.c |   40 +++++++++++-----------------------------
>>  1 files changed, 11 insertions(+), 29 deletions(-)
>> 
>> diff --git a/diff-lib.c b/diff-lib.c
>> index ae96c64ca209f4df9008198e8a04b160bed618c7..e6d1d2b34147a13aadb5019e0c8336ef5f56ee39 100644
>
> ... we have the information right there already.
>
> Ciao,
> Dscho

  hmmm, I tried the following commands

jetil@localhost ~/git/git $ git pull   
Already up-to-date.
kjetil@localhost ~/git/git $ git checkout -q my_origin_maint && grep symcache *.c
diff-lib.c:	char symcache[PATH_MAX];
diff-lib.c:	symcache[0] = '\0';
diff-lib.c:	char symcache[PATH_MAX];
diff-lib.c:	unpack_cb.symcache[0] = '\0';
diff-lib.c:	unpack_cb.symcache[0] = '\0';
kjetil@localhost ~/git/git $ git checkout -q my_origin_master && grep symcache *.c
diff-lib.c:	char symcache[PATH_MAX];
diff-lib.c:	symcache[0] = '\0';
diff-lib.c:	char symcache[PATH_MAX];
diff-lib.c:	unpack_cb.symcache[0] = '\0';
diff-lib.c:	unpack_cb.symcache[0] = '\0';
kjetil@localhost ~/git/git $ git checkout -q my_origin_next && grep symcache *.c
diff-lib.c:	char symcache[PATH_MAX];
diff-lib.c:	symcache[0] = '\0';
diff-lib.c:	char symcache[PATH_MAX];
diff-lib.c:	unpack_cb.symcache[0] = '\0';
diff-lib.c:	unpack_cb.symcache[0] = '\0';
kjetil@localhost ~/git/git $ git checkout -q my_origin_pu && grep symcache *.c
diff-lib.c:	char symcache[PATH_MAX];
diff-lib.c:	symcache[0] = '\0';
diff-lib.c:	char symcache[PATH_MAX];
diff-lib.c:	unpack_cb.symcache[0] = '\0';
diff-lib.c:	unpack_cb.symcache[0] = '\0';
kjetil@localhost ~/git/git $ cd 
kjetil@localhost ~ $ mkdir git2
kjetil@localhost ~ $ cd git2                                          
kjetil@localhost ~/git2 $ git clone -q git://git.kernel.org/pub/scm/git/git.git
kjetil@localhost ~/git2 $ cd git/
kjetil@localhost ~/git2/git $ git show e6d1d2b34147a13aadb5019e0c8336ef5f56ee39
     outputs => 
            fatal: bad object e6d1d2b34147a13aadb5019e0c8336ef5f56ee39
kjetil@localhost ~/git2/git $ git show e6d1d2b
     outputs => 
            fatal: ambiguous argument 'e6d1d2b': unknown revision or path not in the working tree.
            Use '--' to separate paths from revisions
kjetil@localhost ~/git2/git $ git show -- e6d1d2b
     outputs => (nothing)

  Can you explain to a new git user?  As far as I can tell, I do not see
  that this patch is included in the public awailable git tree.  Where
  should the patch be?  I can not see it...  help!  

  -- kjetil